Bug 107684 - FILESAVE: DOCX - Heading styles exported with two outline level tags
Summary: FILESAVE: DOCX - Heading styles exported with two outline level tags
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.5.0 target:5.4.0.1 target:5.3.5
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX Writer-Styles-Heading OOXML-Export-Cleanup
  Show dependency treegraph
 
Reported: 2017-05-07 14:40 UTC by Yousuf Philips (jay)
Modified: 2017-06-22 12:28 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2017-05-07 14:40:32 UTC
Steps:
1) Open attachment 133132 [details]
2) Export to docx
3) Unzip the docx and open up /word/styles.xml
4) Notice that heading styles will have 2 outline tags, like below.

<w:style w:type="paragraph" w:styleId="Heading1">
  <...>
  <w:pPr>
    <...>
    <w:outlineLvl w:val="0" />
    <w:outlineLvl w:val="0" />
  </w:pPr>
  <...>
</w:style>

Regression as this doesnt happen in 4.1.

Version: 5.4.0.0.alpha0+
Build ID: 74ccd02eda2d6325a27266fd935aba29b3d75020
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-27_23:51:14
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Buovjaga 2017-05-13 11:21:10 UTC
Yep.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha1+
Build ID: c0968aa4673a8ac9a8a09a0e291b58b94bdbb35e
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 13th 2016
Comment 2 raal 2017-05-13 20:28:04 UTC
This seems to have begun at the below commit.
Adding Cc: to Miklos Vajna ; Could you possibly take a look at this one?
Thanks

03f833537e4020e3af49756998394c2a33bd06fc is the first bad commit
commit 03f833537e4020e3af49756998394c2a33bd06fc
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sat Sep 5 21:43:21 2015 +0800

    source-hash-fd2d14d5543c82eb875e720c98b51518699a8fbc
    
    commit fd2d14d5543c82eb875e720c98b51518699a8fbc
    Author:     Miklos Vajna <vmiklos@collabora.co.uk>
    AuthorDate: Fri Oct 4 10:18:22 2013 +0200
    Commit:     Miklos Vajna <vmiklos@collabora.co.uk>
    CommitDate: Fri Oct 4 10:20:30 2013 +0200
    
        Implement DOCX export of paragraph outline level
Comment 3 Commit Notification 2017-05-29 12:28:27 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe13c249c8964355e39869a357c393f3208b6def

tdf#107684 DOCX export: fix duplicated <w:outlineLvl> element for styles

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-05-31 11:45:59 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=287a33e5dadba7b284bbc1f25336c8bf0a6324de&h=libreoffice-5-4

tdf#107684 DOCX export: fix duplicated <w:outlineLvl> element for styles

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-06-22 12:28:33 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35e62d9e649badfe00d0b8ea4c307d3fbbda735c&h=libreoffice-5-3

tdf#107684 DOCX export: fix duplicated <w:outlineLvl> element for styles

It will be available in 5.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.